<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <nav>
        <label>Lista de Numeros Ingresados</label>
        <ul id="menu"></ul>
    </nav>
    <form>
            <label>Ingrese numeros</label>
            <input type="text" name="" id="valor">
            <input type="button" value="Agregar" onclick="agregar()">
            <p id="sumatotal"></p>
            <strong></strong>
    </form>
    <script>
/*
Pedir al usuario que ingrese valores numéricos (que los ingrese en un input type text). 
Mostrarlos en pantalla a medida que los ingresa en una lista. Mostrarlos redondeados con round.
 Usar insertAdjacement, template string y parseInt. Al final mostrar la suma total 
 (en un párrafo fuera de la lista).
*/
var numeros=[]
function agregar(){
        var total=0
        var a = document.getElementById("valor").value
        if (!isNaN(a)){
        document.getElementById("menu").insertAdjacentHTML("beforeend",`
                <li>
                ${a}
                </li>                                
                `)
        numeros.push(a)
        for (i of numeros){
            
            total+= parseInt(i)
            document.getElementById("sumatotal").innerHTML = "<strong>"+"Suma total de Numeros Ingresados:"+"</strong>" +total
        }       
      }        


}

    </script>
</body>
</html>